Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface MarkupView

All Superinterfaces:
  Serializable

public interface MarkupView
extends Serializable

Field Summary
`static String` | `BOOK_TYPE`
`static String` | `DESKTOP_TYPE`
`static String` | `LAYOUT_TYPE`
`static String` | `LOOK_AND_FEEL_TYPE`
`static String` | `MARKUP_TYPE`
`static String` | `MENU_TYPE`
`static String` | `PAGE_TYPE`
`static String` | `PLACEHOLDER_TYPE`
`static String` | `PORTAL_TYPE`
`static String` | `PORTLET_CATEGORY_TYPE`
`static String` | `PORTLET_TYPE`
`static String` | `SHELL_TYPE`
`static String` | `THEME_TYPE`

Method Summary
`String` | `getBeginXml()`
`String` | `getEndXml()`
`MarkupDefinition` | `getMarkupDefinition()`
`MarkupDefinitionId` | `getMarkupDefinitionId()`
`String` | `getMarkupFile()`
`String` | `getName()`
`String` | `getType()`
`String` | `getWebAppName()`

Field Detail

### BOOK_TYPE

    public static final String BOOK_TYPE

See Also:
  Constant Field Values

### PAGE_TYPE

    public static final String PAGE_TYPE

See Also:
  Constant Field Values

### PLACEHOLDER_TYPE

    public static final String PLACEHOLDER_TYPE

See Also:
  Constant Field Values

### LAYOUT_TYPE

    public static final String LAYOUT_TYPE

See Also:
  Constant Field Values

### PORTLET_TYPE

    public static final String PORTLET_TYPE

See Also:
  Constant Field Values

### SHELL_TYPE

    public static final String SHELL_TYPE

See Also:
  Constant Field Values

### LOOK_AND_FEEL_TYPE

    public static final String LOOK_AND_FEEL_TYPE

See Also:
  Constant Field Values

### THEME_TYPE

    public static final String THEME_TYPE

See Also:
  Constant Field Values

### DESKTOP_TYPE

    public static final String DESKTOP_TYPE

See Also:
  Constant Field Values

### MENU_TYPE

    public static final String MENU_TYPE

See Also:
  Constant Field Values

### PORTAL_TYPE

    public static final String PORTAL_TYPE

See Also:
  Constant Field Values

### MARKUP_TYPE

    public static final String MARKUP_TYPE

See Also:
  Constant Field Values

### PORTLET_CATEGORY_TYPE

    public static final String PORTLET_CATEGORY_TYPE

See Also:
  Constant Field Values

Method Detail

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

### getMarkupDefinition

    public MarkupDefinition getMarkupDefinition()

### getName

    public String getName()

### getType

    public String getType()

### getWebAppName

    public String getWebAppName()

### getMarkupFile

    public String getMarkupFile()

### getBeginXml

    public String getBeginXml()

### getEndXml

    public String getEndXml()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved